JUCE: AttributedString::Attribute Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AttributedString::Attribute Class Reference
juce_graphics » fonts

An attribute that has been applied to a range of characters in an AttributedString. More...

`#include <juce_AttributedString.h>`

## Public Member Functions
| Attribute ()=default
| Attribute (const Attribute &)=default
Attribute & | operator= (const Attribute &)=default
| Attribute (Attribute &&) noexcept=default
Attribute & | operator= (Attribute &&) noexcept=default
| Attribute (Range< int > range, const Font &font, Colour colour) noexcept
| Creates an attribute that specifies the font and colour for a range of characters.

## Public Attributes
Range< int > | range
| The range of characters to which this attribute will be applied.
Font | font
| The font for this range of characters.
Colour | colour { 0xff000000 }
| The colour for this range of characters.

## Detailed Description

An attribute that has been applied to a range of characters in an AttributedString.

## Constructor & Destructor Documentation

## ◆ Attribute() [1/4]

AttributedString::Attribute::Attribute | ( |  | ) |
| default

## ◆ Attribute() [2/4]

AttributedString::Attribute::Attribute | ( | const Attribute & |  | ) |
| default

## ◆ Attribute() [3/4]

AttributedString::Attribute::Attribute | ( | Attribute && |  | ) |
| defaultnoexcept

## ◆ Attribute() [4/4]

AttributedString::Attribute::Attribute | ( | Range< int > | range,
|  | const Font & | font,
|  | Colour | colour
| ) |  |
| noexcept

Creates an attribute that specifies the font and colour for a range of characters.

## Member Function Documentation

## ◆ operator=() [1/2]

Attribute & AttributedString::Attribute::operator= | ( | const Attribute & |  | ) |
| default

## ◆ operator=() [2/2]

Attribute & AttributedString::Attribute::operator= | ( | Attribute && |  | ) |
| defaultnoexcept

## Member Data Documentation

## ◆ range

Range<int> AttributedString::Attribute::range

The range of characters to which this attribute will be applied.

## ◆ font

Font AttributedString::Attribute::font

The font for this range of characters.

## ◆ colour

Colour AttributedString::Attribute::colour { 0xff000000 }

The colour for this range of characters.

The documentation for this class was generated from the following file:

- juce_AttributedString.h